package dbschema

import (
	// External
	_ "github.com/lib/pq"

	// Standard
	"database/sql"
)

type Upgrader struct {
	databases map[string]Database
	logCallback func(string, string)
	sqlCallback func(string, int) ([]byte, bool)
}

type Database struct {
	Host     string
	Port     int
	DbName   string
	Username string
	Password string

	db *sql.DB
	upgrader *Upgrader
}

// vim: foldmethod=marker
